Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 3186)
@@ -37,5 +37,5 @@
    USE lib_mpp         ! MPP library
    USE prtctl          ! Print control
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 3186)
@@ -27,5 +27,5 @@
    USE prtctl          ! Print control
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 3186)
@@ -32,5 +32,5 @@
    USE trc_oce         ! share passive tracers/Ocean variables
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_eiv.F90	(revision 3186)
@@ -27,5 +27,5 @@
    USE diaar5, ONLY:   lk_diaar5
 # endif  
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl.F90	(revision 3186)
@@ -25,5 +25,5 @@
    USE diaptr          ! poleward transport diagnostics
    USE trc_oce         ! share passive tracers/Ocean variables
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_muscl2.F90	(revision 3186)
@@ -23,5 +23,5 @@
    USE diaptr          ! poleward transport diagnostics
    USE trc_oce         ! share passive tracers/Ocean variables
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 3186)
@@ -26,5 +26,5 @@
    USE diaptr          ! poleward transport diagnostics
    USE trc_oce         ! share passive tracers/Ocean variables
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_tvd.F90	(revision 3186)
@@ -32,5 +32,5 @@
    USE diaptr          ! poleward transport diagnostics
    USE trc_oce         ! share passive tracers/Ocean variables
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 3186)
@@ -22,5 +22,5 @@
    USE dynspg_oce      ! choice/control of key cpp for surface pressure gradient
    USE trc_oce         ! share passive tracers/Ocean variables
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 3186)
@@ -22,5 +22,5 @@
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 3186)
@@ -34,5 +34,5 @@
    USE lbclnk         ! ocean lateral boundary conditions
    USE prtctl         ! Print control
-   USE wrk_nemo_2     ! Memory Allocation
+   USE wrk_nemo       ! Memory Allocation
    USE timing         ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 3186)
@@ -36,5 +36,5 @@
    USE lib_mpp        ! MPP library
    USE prtctl         ! Print control
-   USE wrk_nemo_2     ! Memory allocation
+   USE wrk_nemo       ! Memory allocation
    USE timing         ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf.F90	(revision 3186)
@@ -29,5 +29,5 @@
    USE lib_mpp         ! distribued memory computing library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE wrk_nemo_2      ! Memory allocation
+   USE wrk_nemo        ! Memory allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 3186)
@@ -29,5 +29,5 @@
    USE trc_oce         ! share passive tracers/Ocean variables
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2     ! Memory Allocation
+   USE wrk_nemo       ! Memory Allocation
    USE timing         ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 3186)
@@ -25,5 +25,5 @@
    USE trc_oce         ! share passive tracers/Ocean variables
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 3186)
@@ -32,5 +32,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
 #endif
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 3186)
@@ -26,5 +26,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 3186)
@@ -23,5 +23,5 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/tranxt.F90	(revision 3186)
@@ -46,5 +46,5 @@
    USE agrif_opa_interp
 #endif
-   USE wrk_nemo_2      ! Memory allocation
+   USE wrk_nemo        ! Memory allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 3186)
@@ -29,5 +29,5 @@
    USE restart         ! ocean restart
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2     ! Memory Allocation
+   USE wrk_nemo       ! Memory Allocation
    USE timing         ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 3186)
@@ -28,5 +28,5 @@
    USE iom
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 3186)
@@ -30,5 +30,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory allocation
+   USE wrk_nemo        ! Memory allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 3186)
@@ -31,5 +31,5 @@
    USE in_out_manager  ! I/O manager
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 3186)
@@ -35,5 +35,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory Allocation
+   USE wrk_nemo        ! Memory Allocation
    USE timing          ! Timing
 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 3159)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 3186)
@@ -21,5 +21,5 @@
    USE lbclnk          ! lateral boundary conditions (or mpp link)
    USE lib_mpp         ! MPP library
-   USE wrk_nemo_2      ! Memory allocation
+   USE wrk_nemo        ! Memory allocation
    USE timing          ! Timing
 