Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 3191)
@@ -7,5 +7,5 @@
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version     
    !!            3.3  !  2010-09  (D. Storkey) add ice boundary conditions
-   !!            3.4  !  2011     (D. Storkey, J. Chanut) OBC-BDY merge
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -79,9 +79,4 @@
 #endif
    !
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dmp2d_in              ! Damping timescale (days) for 2D solution for inward radiation or FRS 
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dmp2d_out             ! Damping timescale (days) for 2D solution for outward radiation 
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dmp3d_in              ! Damping timescale (days) for 3D solution for inward radiation or FRS 
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dmp3d_out             ! Damping timescale (days) for 3D solution for outward radiation
-
    
    !!----------------------------------------------------------------------
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90	(revision 3191)
@@ -7,4 +7,5 @@
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version
    !!            3.3  !  2010-09  (D. Storkey and E. O'Dea) update for Shelf configurations
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined   key_bdy
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 3191)
@@ -10,5 +10,5 @@
    !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
    !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
-   !!            3.4  ????????????????
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined key_bdy
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 3191)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE  bdydyn  ***
-   !! Unstructured Open Boundary Cond. :   Flow relaxation scheme on velocities
+   !! Unstructured Open Boundary Cond. :   Apply boundary conditions to velocities
    !!======================================================================
    !! History :  1.0  !  2005-02  (J. Chanut, A. Sellar)  Original code
@@ -10,4 +10,5 @@
    !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
    !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -15,6 +16,7 @@
    !!   'key_bdy' :                    Unstructured Open Boundary Condition
    !!----------------------------------------------------------------------
-   !!   bdy_dyn3d        : apply open boundary conditions to baroclinic velocities
-   !!   bdy_dyn3d_frs    : apply Flow Relaxation Scheme
+   !!   bdy_dyn        : split velocities into barotropic and baroclinic parts
+   !!                    and call bdy_dyn2d and bdy_dyn3d to apply boundary
+   !!                    conditions
    !!----------------------------------------------------------------------
    USE wrk_nemo        ! Memory Allocation
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn2d.F90	(revision 3191)
@@ -2,12 +2,7 @@
    !!======================================================================
    !!                       ***  MODULE  bdydyn  ***
-   !! Unstructured Open Boundary Cond. :   Flow relaxation scheme on velocities
+   !! Unstructured Open Boundary Cond. :   Apply boundary conditions to barotropic solution
    !!======================================================================
-   !! History :  1.0  !  2005-02  (J. Chanut, A. Sellar)  Original code
-   !!             -   !  2007-07  (D. Storkey) Move Flather implementation to separate routine.
-   !!            3.0  !  2008-04  (NEMO team)  add in the reference version
-   !!            3.2  !  2008-04  (R. Benshila) consider velocity instead of transport 
-   !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
-   !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
+   !! History :  3.4  !  2011     (D. Storkey) new module as part of BDY rewrite
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -30,5 +25,5 @@
    PRIVATE
 
-   PUBLIC   bdy_dyn2d     ! routine called in dynspg_ts and dyn_nxt and dynspg_flt
+   PUBLIC   bdy_dyn2d     ! routine called in dynspg_ts and bdy_dyn
 
    !!----------------------------------------------------------------------
@@ -60,5 +55,5 @@
             CALL bdy_dyn2d_fla( idx_bdy(ib_bdy), dta_bdy(ib_bdy) )
          CASE DEFAULT
-            CALL ctl_stop( 'bdy_dyn3d : unrecognised option for open boundaries for barotropic variables' )
+            CALL ctl_stop( 'bdy_dyn2d : unrecognised option for open boundaries for barotropic variables' )
          END SELECT
       ENDDO
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 3191)
@@ -2,12 +2,7 @@
    !!======================================================================
    !!                       ***  MODULE  bdydyn3d  ***
-   !! Unstructured Open Boundary Cond. :   Flow relaxation scheme on velocities
+   !! Unstructured Open Boundary Cond. :   Flow relaxation scheme on baroclinic velocities
    !!======================================================================
-   !! History :  1.0  !  2005-02  (J. Chanut, A. Sellar)  Original code
-   !!             -   !  2007-07  (D. Storkey) Move Flather implementation to separate routine.
-   !!            3.0  !  2008-04  (NEMO team)  add in the reference version
-   !!            3.2  !  2008-04  (R. Benshila) consider velocity instead of transport 
-   !!            3.3  !  2010-09  (E.O'Dea) modifications for Shelf configurations 
-   !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
+   !! History :  3.4  !  2011     (D. Storkey) new module as part of BDY rewrite 
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -28,5 +23,5 @@
    PRIVATE
 
-   PUBLIC   bdy_dyn3d     ! routine called in dynspg_flt (free surface case ONLY)
+   PUBLIC   bdy_dyn3d     ! routine called by bdy_dyn
 
    !!----------------------------------------------------------------------
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice_lim2.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice_lim2.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice_lim2.F90	(revision 3191)
@@ -2,7 +2,8 @@
    !!======================================================================
    !!                       ***  MODULE  bdyice_lim2  ***
-   !! Unstructured Open Boundary Cond. :  Flow Relaxation Scheme applied sea-ice (LIM2)
+   !! Unstructured Open Boundary Cond. :  Open boundary conditions for sea-ice (LIM2)
    !!======================================================================
    !!  History :  3.3  !  2010-09 (D. Storkey)  Original code
+   !!             3.4  !  2011    (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined   key_bdy   &&   defined key_lim2
@@ -54,5 +55,5 @@
             CALL bdy_ice_frs( idx_bdy(ib_bdy), dta_idx(ib_bdy) )
          CASE DEFAULT
-            CALL ctl_stop( 'bdy_tra : unrecognised option for open boundaries for T an S' )
+            CALL ctl_stop( 'bdy_ice_lim_2 : unrecognised option for open boundaries for ice fields' )
          END SELECT
       ENDDO
@@ -105,5 +106,5 @@
 CONTAINS
    SUBROUTINE bdy_ice_lim_2( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_ice_frs: You should not have seen this print! error?', kt
+      WRITE(*,*) 'bdy_ice_frs_lim_2: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_ice_lim_2
 #endif
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 3191)
@@ -10,6 +10,5 @@
    !!            3.3  !  2010-09  (E.O'Dea) updates for Shelf configurations
    !!            3.3  !  2010-09  (D.Storkey) add ice boundary conditions
-   !!            3.4  !  2011     (D. Storkey, J. Chanut) OBC-BDY merge
-   !!                 !  --- Renamed bdyini.F90 -> bdyini.F90 ---
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined key_bdy
@@ -31,5 +30,5 @@
    PRIVATE
 
-   PUBLIC   bdy_init   ! routine called by opa.F90
+   PUBLIC   bdy_init   ! routine called in nemo_init
 
    !!----------------------------------------------------------------------
@@ -84,7 +83,5 @@
          &             nn_ice_lim2, nn_ice_lim2_dta,                       &
 #endif
-         &             ln_vol, nn_volctl,                                  &
-         &             nn_rimwidth, nn_dmp2d_in, nn_dmp2d_out,             &
-         &             nn_dmp3d_in, nn_dmp3d_out
+         &             ln_vol, nn_volctl, nn_rimwidth
       !!
       NAMELIST/nambdy_index/ nbdysege, jpieob, jpjedt, jpjeft,             &
@@ -131,8 +128,4 @@
       nn_volctl         = -1  ! uninitialised flag
       nn_rimwidth(:)    = -1  ! uninitialised flag
-      nn_dmp2d_in(:)    = -1  ! uninitialised flag
-      nn_dmp2d_out(:)   = -1  ! uninitialised flag
-      nn_dmp3d_in(:)    = -1  ! uninitialised flag
-      nn_dmp3d_out(:)   = -1  ! uninitialised flag
 
       REWIND( numnam )                    
@@ -562,5 +555,5 @@
                   IF( nbrdta(ib,igrd,ib_bdy) < nbrdta(ibm1,igrd,ib_bdy) ) THEN
                      CALL ctl_stop('bdy_init : ERROR : boundary data in file must be defined in order of distance from edge nbr.', &
-                                   'A utility for re-ordering boundary coordinates and data files exists in CDFTOOLS')
+                                   'A utility for re-ordering boundary coordinates and data files exists in the TOOLS/OBC directory')
                   ENDIF    
                ENDIF
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 3191)
@@ -8,4 +8,5 @@
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version
    !!            3.3  !  2010-09  (D.Storkey and E.O'Dea)  bug fixes
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined key_bdy
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 3191)
@@ -2,8 +2,9 @@
    !!======================================================================
    !!                       ***  MODULE  bdytra  ***
-   !! Ocean tracers:   Flow Relaxation Scheme of tracers on each open boundary
+   !! Ocean tracers:   Apply boundary conditions for tracers
    !!======================================================================
    !! History :  1.0  !  2005-01  (J. Chanut, A. Sellar)  Original code
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if defined key_bdy
@@ -36,7 +37,7 @@
    SUBROUTINE bdy_tra( kt )
       !!----------------------------------------------------------------------
-      !!                  ***  SUBROUTINE bdy_dyn3d  ***
+      !!                  ***  SUBROUTINE bdy_tra  ***
       !!
-      !! ** Purpose : - Apply open boundary conditions for baroclinic velocities
+      !! ** Purpose : - Apply open boundary conditions for temperature and salinity
       !!
       !!----------------------------------------------------------------------
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 3191)
@@ -3,9 +3,10 @@
    !!                       ***  MODULE  bdyvol  ***
    !! Ocean dynamic :  Volume constraint when unstructured boundary 
-   !!                  and Free surface are used
+   !!                  and filtered free surface are used
    !!======================================================================
    !! History :  1.0  !  2005-01  (J. Chanut, A. Sellar)  Original code
    !!             -   !  2006-01  (J. Chanut) Bug correction
    !!            3.0  !  2008-04  (NEMO team)  add in the reference version
+   !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
    !!----------------------------------------------------------------------
 #if   defined key_bdy   &&   defined key_dynspg_flt