Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zflx.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 3192)
@@ -305,4 +305,6 @@
       t_oce_co2_flx = 0._wp
       !
+      CALL p4z_patm( nit000 )
+      !
    END SUBROUTINE p4z_flx_init
 
@@ -326,5 +328,5 @@
 
       !                                         ! -------------------- !
-      IF( kt == nittrc000 ) THEN                   ! First call kt=nittrc000 !
+      IF( kt == nit000 ) THEN                   ! First call kt=nittrc000 !
          !                                      ! -------------------- !
          !                                            !* set file information (default values)
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlys.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 3192)
@@ -61,5 +61,5 @@
       INTEGER, INTENT(in) ::   kt ! ocean time step
       INTEGER  ::   ji, jj, jk, jn
-      REAL(wp) ::   zalk, zdic, zph, zremco3, zah2
+      REAL(wp) ::   zalk, zdic, zph, zah2
       REAL(wp) ::   zdispot, zfact, zcalcon, zalka, zaldi
       REAL(wp) ::   zomegaca, zexcess, zexcess0
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsed.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 3192)
@@ -340,7 +340,7 @@
       IF( nn_timing == 1 )  CALL timing_start('p4z_sbc')
       !
-      ! Compute dust at nittrc000 or only if there is more than 1 time record in dust file
+      ! Compute dust at nit000 or only if there is more than 1 time record in dust file
       IF( ln_dust ) THEN
-         IF( kt == nittrc000 .OR. ( kt /= nittrc000 .AND. ntimes_dust > 1 ) ) THEN
+         IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_dust > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_dust )
             dust(:,:) = sf_dust(1)%fnow(:,:,1)
@@ -349,8 +349,8 @@
 
       ! N/P and Si releases due to coastal rivers
-      ! Compute river at nittrc000 or only if there is more than 1 time record in river file
+      ! Compute river at nit000 or only if there is more than 1 time record in river file
       ! -----------------------------------------
       IF( ln_river ) THEN
-         IF( kt == nittrc000 .OR. ( kt /= nittrc000 .AND. ntimes_riv > 1 ) ) THEN
+         IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_riv > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_riverdic )
             CALL fld_read( kt, 1, sf_riverdoc )
@@ -365,7 +365,7 @@
       ENDIF
 
-      ! Compute N deposition at nittrc000 or only if there is more than 1 time record in N deposition file
+      ! Compute N deposition at nit000 or only if there is more than 1 time record in N deposition file
       IF( ln_ndepo ) THEN
-         IF( kt == nittrc000 .OR. ( kt /= nittrc000 .AND. ntimes_ndep > 1 ) ) THEN
+         IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_ndep > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_ndepo )
             DO jj = 1, jpj
@@ -597,4 +597,6 @@
       ENDIF
       !
+      IF( ll_sbc ) CALL p4z_sbc( nit000 ) 
+      !
       IF(lwp) THEN 
          WRITE(numout,*)
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 3192)
@@ -26,4 +26,11 @@
    USE p4zflx          !  Gas exchange
    USE p4zsed          !  Sedimentation
+   USE p4zlim          !  Co-limitations of differents nutrients
+   USE p4zprod         !  Growth rate of the 2 phyto groups
+   USE p4zmicro        !  Sources and sinks of microzooplankton
+   USE p4zmeso         !  Sources and sinks of mesozooplankton
+   USE p4zmort         !  Mortality terms for phytoplankton
+   USE p4zlys          !  Calcite saturation
+   USE p4zsed          !  Sedimentation
 
    IMPLICIT NONE
@@ -55,4 +62,8 @@
       !!----------------------------------------------------------------------
       !
+      INTEGER  ::  ji, jj, jk
+      REAL(wp) ::  zcaralk, zbicarb, zco3
+      REAL(wp) ::  ztmas, ztmas1
+      !!----------------------------------------------------------------------
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) ' trc_ini_pisces :   PISCES biochemical model initialisation'
@@ -123,4 +134,39 @@
       ENDIF
 
+      IF( .NOT. ln_rsttr ) THEN
+         ! Initialization of chemical variables of the carbon cycle
+         ! --------------------------------------------------------
+         DO jk = 1, jpk
+            DO jj = 1, jpj
+               DO ji = 1, jpi
+                  ztmas   = tmask(ji,jj,jk)
+                  ztmas1  = 1. - tmask(ji,jj,jk)
+                  zcaralk = trn(ji,jj,jk,jptal) - borat(ji,jj,jk) / (  1. + 1.E-8 / ( rtrn + akb3(ji,jj,jk) )  )
+                  zco3    = ( zcaralk - trn(ji,jj,jk,jpdic) ) * ztmas + 0.5e-3 * ztmas1
+                  zbicarb = ( 2. * trn(ji,jj,jk,jpdic) - zcaralk )
+                  hi(ji,jj,jk) = ( ak23(ji,jj,jk) * zbicarb / zco3 ) * ztmas + 1.e-9 * ztmas1
+               END DO
+            END DO
+         END DO
+         !
+      END IF
+
+      ! Time step duration for biology
+      xstep = rfact2 / rday
+
+      CALL p4z_sink_init      !  vertical flux of particulate organic matter
+      CALL p4z_opt_init       !  Optic: PAR in the water column
+      CALL p4z_lim_init       !  co-limitations by the various nutrients
+      CALL p4z_prod_init      !  phytoplankton growth rate over the global ocean.
+      CALL p4z_rem_init       !  remineralisation
+      CALL p4z_mort_init      !  phytoplankton mortality 
+      CALL p4z_micro_init     !  microzooplankton
+      CALL p4z_meso_init      !  mesozooplankton
+      CALL p4z_sed_init       !  sedimentation 
+      CALL p4z_lys_init       !  calcite saturation
+      CALL p4z_flx_init       !  gas exchange 
+
+      ndayflxtr = 0
+
       IF(lwp) WRITE(numout,*) 'Initialization of PISCES tracers done'
       IF(lwp) WRITE(numout,*) ' '
@@ -135,10 +181,4 @@
       !! ** Purpose :   Allocate all the dynamic arrays of PISCES 
       !!----------------------------------------------------------------------
-      USE p4zsink , ONLY : p4z_sink_alloc      
-      USE p4zopt  , ONLY : p4z_opt_alloc           
-      USE p4zprod , ONLY : p4z_prod_alloc         
-      USE p4zrem  , ONLY : p4z_rem_alloc           
-      USE p4zsed  , ONLY : p4z_sed_alloc          
-      USE p4zflx  , ONLY : p4z_flx_alloc
       !
       INTEGER :: ierr
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 3192)
@@ -18,12 +18,4 @@
    USE p4zbio          !  Biological model
    USE p4zche          !  Chemical model
-   USE p4zsink         !  vertical flux of particulate matter due to sinking
-   USE p4zopt          !  optical model
-   USE p4zlim          !  Co-limitations of differents nutrients
-   USE p4zprod         !  Growth rate of the 2 phyto groups
-   USE p4zmort         !  Mortality terms for phytoplankton
-   USE p4zmicro        !  Sources and sinks of microzooplankton
-   USE p4zmeso         !  Sources and sinks of mesozooplankton
-   USE p4zrem          !  Remineralisation of organic matter
    USE p4zlys          !  Calcite saturation
    USE p4zflx          !  Gas exchange
@@ -74,7 +66,6 @@
       IF( nn_timing == 1 )  CALL timing_start('trc_sms_pisces')
       !
-      IF( kt == nittrc000 )                                        CALL trc_sms_pisces_init       ! Initialization (first time-step only)
       IF( ln_pisdmp .AND. MOD( kt - nn_dttrc, nn_pisdmp ) == 0 )   CALL trc_sms_pisces_dmp( kt )  ! Relaxation of some tracers
-                                                                   CALL trc_sms_pisces_mass_conserv( kt )
+                                                                   CALL trc_sms_pisces_mass_conserv( kt ) ! Mass conservation checking
 
       IF( ndayflxtr /= nday_year ) THEN      ! New days
@@ -176,52 +167,4 @@
 
    END SUBROUTINE trc_sms_pisces_dmp
-
-   SUBROUTINE trc_sms_pisces_init
-      !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE trc_sms_pisces_init  ***
-      !!
-      !! ** Purpose :   Initialization of PH variable
-      !!
-      !!----------------------------------------------------------------------
-      INTEGER  ::  ji, jj, jk
-      REAL(wp) ::  zcaralk, zbicarb, zco3
-      REAL(wp) ::  ztmas, ztmas1
-
-      IF( .NOT. ln_rsttr ) THEN
-         ! Initialization of chemical variables of the carbon cycle
-         ! --------------------------------------------------------
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztmas   = tmask(ji,jj,jk)
-                  ztmas1  = 1. - tmask(ji,jj,jk)
-                  zcaralk = trn(ji,jj,jk,jptal) - borat(ji,jj,jk) / (  1. + 1.E-8 / ( rtrn + akb3(ji,jj,jk) )  )
-                  zco3    = ( zcaralk - trn(ji,jj,jk,jpdic) ) * ztmas + 0.5e-3 * ztmas1
-                  zbicarb = ( 2. * trn(ji,jj,jk,jpdic) - zcaralk )
-                  hi(ji,jj,jk) = ( ak23(ji,jj,jk) * zbicarb / zco3 ) * ztmas + 1.e-9 * ztmas1
-               END DO
-            END DO
-         END DO
-         !
-      END IF
-
-      ! Time step duration for biology
-      xstep = rfact2 / rday
-
-      CALL p4z_sink_init      !  vertical flux of particulate organic matter
-      CALL p4z_opt_init       !  Optic: PAR in the water column
-      CALL p4z_lim_init       !  co-limitations by the various nutrients
-      CALL p4z_prod_init      !  phytoplankton growth rate over the global ocean. 
-      CALL p4z_rem_init       !  remineralisation
-      CALL p4z_mort_init      !  phytoplankton mortality
-      CALL p4z_micro_init     !  microzooplankton
-      CALL p4z_meso_init      !  mesozooplankton
-      CALL p4z_sed_init       !  sedimentation
-      CALL p4z_lys_init       !  calcite saturation
-      CALL p4z_flx_init       !  gas exchange
-
-      ndayflxtr = 0
-
-   END SUBROUTINE trc_sms_pisces_init
 
    SUBROUTINE trc_sms_pisces_mass_conserv ( kt )
@@ -277,5 +220,5 @@
          ENDIF
        ENDIF
- 9500  FORMAT(i6,e18.10)     
+ 9500  FORMAT(i10,e18.10)     
        !
    END SUBROUTINE trc_sms_pisces_mass_conserv
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trc.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trc.F90	(revision 3192)
@@ -79,12 +79,12 @@
    !! additional 2D/3D outputs namelist
    !! --------------------------------------------------
-   REAL(wp)           , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,  :) ::  trc2d          !: additional 2d outputs array 
-   REAL(wp)           , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::  trc3d          !: additional 3d outputs array 
-   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::  ctrc2d         !: 2d field short name
-   CHARACTER(len = 80), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::  ctrc2l         !: 2d field long name
-   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::  ctrc2u         !: 2d field unit
-   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::  ctrc3d         !: 3d field short name
-   CHARACTER(len = 80), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::  ctrc3l         !: 3d field long name
-   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::  ctrc3u         !: 3d field unit
+   REAL(wp)           , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,  :) ::   trc2d         !: additional 2d outputs array 
+   REAL(wp)           , PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::   trc3d         !: additional 3d outputs array 
+   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   ctrc2d        !: 2d field short name
+   CHARACTER(len = 80), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   ctrc2l        !: 2d field long name
+   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   ctrc2u        !: 2d field unit
+   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   ctrc3d        !: 3d field short name
+   CHARACTER(len = 80), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   ctrc3l        !: 3d field long name
+   CHARACTER(len = 20), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)       ::   ctrc3u        !: 3d field unit
    LOGICAL            , PUBLIC                                        ::  ln_diatrc      !: boolean term for additional diagnostic
    INTEGER            , PUBLIC                                        ::  nn_writedia    !: frequency of additional outputs
@@ -105,5 +105,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::  tsn_tm      !: t/s average     [m/s]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  avt_tm      !: vertical diffusivity coeff. at  w-point   [m2/s]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  rhop_tm     !: Density
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  rhop_tm     !: 
 # if defined key_zdfddm
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  avs_tm      !: vertical double diffusivity coeff. at w-point   [m/s]
@@ -163,5 +163,5 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::  tsn_temp
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  un_temp,vn_temp,wn_temp     !: hold current values of avt, un, vn, wn
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  avt_temp, rhop_temp     
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  avt_temp, rhop_temp     !: hold current values of avt, un, vn, wn
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::  e3t_temp,e3u_temp,e3v_temp,e3w_temp     !: hold current values
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)     ::  sshn_temp, sshb_temp, ssha_temp, rnf_temp,h_rnf_temp
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 3192)
@@ -183,5 +183,5 @@
          IF( ln_sco ) THEN                   !==   s- or mixed s-zps-coordinate   ==!
             !
-            IF( kt == nittrc000 .AND. lwp )THEN
+            IF( kt == nit000 .AND. lwp )THEN
                WRITE(numout,*)
                WRITE(numout,*) 'trc_dta: interpolates passive tracer data onto the s- or mixed s-z-coordinate mesh'
@@ -238,5 +238,5 @@
          ENDDO 
          !
-         IF( lwp .AND. kt == nittrc000 ) THEN
+         IF( lwp .AND. kt == nit000 ) THEN
             DO jn = 1, ntra
                clndta = TRIM( sf_trcdta(jn)%clvar ) 
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 3192)
@@ -77,4 +77,11 @@
 
       CALL trc_nam                  ! read passive tracers namelists
+      !                                                              ! masked grid volume
+      DO jk = 1, jpk
+         cvol(:,:,jk) = e1e2t(:,:) * fse3t(:,:,jk) * tmask(:,:,jk)
+      END DO
+      IF( lk_degrad ) cvol(:,:,:) = cvol(:,:,:) * facvol(:,:,:)      ! degrad option: reduction by facvol
+      !                                                              ! total volume of the ocean 
+      areatot = glob_sum( cvol(:,:,:) )
 
       IF( lk_lobster ) THEN   ;   CALL trc_ini_lobster      ! LOBSTER bio-model
@@ -139,11 +146,4 @@
       IF( ln_zps .AND. .NOT. lk_c1d )   &              ! Partial steps: before horizontal gradient of passive
         &    CALL zps_hde( nit000, jptra, trn, gtru, gtrv )       ! tracers at the bottom ocean level
-      !                                                              ! masked grid volume
-      DO jk = 1, jpk
-         cvol(:,:,jk) = e1e2t(:,:) * fse3t(:,:,jk) * tmask(:,:,jk)
-      END DO
-      IF( lk_degrad ) cvol(:,:,:) = cvol(:,:,:) * facvol(:,:,:)      ! degrad option: reduction by facvol
-      !                                                              ! total volume of the ocean 
-      areatot = glob_sum( cvol(:,:,:) )
 
       !
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 3192)
@@ -98,5 +98,5 @@
       END DO
       IF( lwp ) WRITE(numstr,9300) kt,  ztrai / areatot
-9300  FORMAT(i6,e18.10)
+9300  FORMAT(i10,e18.10)
       !
       IF( nn_timing == 1 )   CALL timing_stop('trc_stp')
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 3191)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 3192)
@@ -172,8 +172,8 @@
          wn_temp    (:,:,:)      = wn    (:,:,:)
          tsn_temp   (:,:,:,:)    = tsn   (:,:,:,:)
-         rhop_temp  (:,:,:)      = rhop  (:,:,:)
+         rhop_temp  (:,:,:)      = rhop  (:,:,:)    
          avt_temp   (:,:,:)      = avt   (:,:,:)
 # if defined key_zdfddm
-         avs_temp(:,:,:)         = avs   (:,:,:)
+         avs_temp   (:,:,:)      = avs   (:,:,:)
 # endif
 #if defined key_ldfslp
@@ -474,5 +474,5 @@
          CALL lbc_lnk( avt   (:,:,:)       , 'W', 1. ) 
 # if defined key_zdfddm
-         CALL lbc_lnk( avs  (:,:,:)       , 'W', 1. ) 
+          CALL lbc_lnk( avs  (:,:,:)       , 'W', 1. ) 
 # endif
 #if defined key_ldfslp
@@ -1035,4 +1035,5 @@
       ALLOCATE( un_temp(jpi,jpj,jpk)        ,  vn_temp(jpi,jpj,jpk)  ,   &
          &      wn_temp(jpi,jpj,jpk)        ,  avt_temp(jpi,jpj,jpk) ,   &
+         &      rhop_temp(jpi,jpj,jpk)      ,  rhop_tm(jpi,jpj,jpk) ,   &
          &      sshn_temp(jpi,jpj)          ,  sshb_temp(jpi,jpj) ,      &
          &      ssha_temp(jpi,jpj)          ,  sshu_a_temp(jpi,jpj),     &
@@ -1059,5 +1060,4 @@
          &      avs_tm(jpi,jpj,jpk)         ,  avs_temp(jpi,jpj,jpk) ,   &
 # endif
-         &      rhop_tm(jpi,jpj,jpk)        ,  rhop_temp(jpi,jpj,jpk) ,  &
 #if defined key_traldf_c3d
          &      ahtt_tm(jpi,jpj,jpk)        ,  ahtt_temp(jpi,jpj,jpk),   &