Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 3186)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/LIM_SRC_2/limthd_zdf_2.F90	(revision 3195)
@@ -74,30 +74,28 @@
       REAL(wp), POINTER, DIMENSION(:) ::   zqcmlts        ! energy due to surface melting
       REAL(wp), POINTER, DIMENSION(:) ::   zqcmltb        ! energy due to bottom melting
-      REAL(wp), POINTER, DIMENSION(:) ::  &
-         ztsmlt      &    ! snow/ice surface melting temperature
-         ,ztbif      &    ! int. temp. at the mid-point of the 1st layer of the snow/ice sys. 
-         ,zksn       &    ! effective conductivity of snow
-         ,zkic       &    ! effective conductivity of ice
-         ,zksndh     &    ! thermal cond. at the mid-point of the 1st layer of the snow/ice sys. 
-         , zfcsu     &    ! conductive heat flux at the surface of the snow/ice system 
-         , zfcsudt   &    ! = zfcsu * dt
-         , zi0       &    ! frac. of the net SW rad. which is not absorbed at the surface
-         , z1mi0     &    ! fraction of the net SW radiation absorbed at the surface
-         , zqmax     &    ! maximum energy stored in brine pockets
-         , zrcpdt    &    ! h_su*rho_su*cp_su/dt(h_su being the thick. of surf. layer)
-         , zts_old   &    ! previous surface temperature
-         , zidsn , z1midsn , zidsnic ! tempory variables
-      REAL(wp), POINTER, DIMENSION(:) ::   &
-          zfnet       &  ! net heat flux at the top surface( incl. conductive heat flux)
-          , zsprecip  &    ! snow accumulation
-          , zhsnw_old &    ! previous snow thickness
-          , zdhictop  &    ! change in ice thickness due to top surf ablation/accretion
-          , zdhicbot  &    ! change in ice thickness due to bottom surf abl/acc
-          , zqsup     &    ! energy transmitted to ocean (coming from top surf abl/acc)
-          , zqocea    &    ! energy transmitted to ocean (coming from bottom sur abl/acc)
-          , zfrl_old  &    ! previous sea/ice fraction
-          , zfrld_1d    &    ! new sea/ice fraction
-          , zep            ! internal temperature of the 2nd layer of the snow/ice system
-       REAL(wp), DIMENSION(3) :: & 
+      REAL(wp), POINTER, DIMENSION(:) ::   ztsmlt         ! snow/ice surface melting temperature
+      REAL(wp), POINTER, DIMENSION(:) ::   ztbif          ! int. temp. at the mid-point of the 1st layer of the snow/ice sys. 
+      REAL(wp), POINTER, DIMENSION(:) ::   zksn           ! effective conductivity of snow
+      REAL(wp), POINTER, DIMENSION(:) ::   zkic           ! effective conductivity of ice
+      REAL(wp), POINTER, DIMENSION(:) ::   zksndh         ! thermal cond. at the mid-point of the 1st layer of the snow/ice sys. 
+      REAL(wp), POINTER, DIMENSION(:) ::   zfcsu          ! conductive heat flux at the surface of the snow/ice system 
+      REAL(wp), POINTER, DIMENSION(:) ::   zfcsudt        ! = zfcsu * dt
+      REAL(wp), POINTER, DIMENSION(:) ::   zi0            ! frac. of the net SW rad. which is not absorbed at the surface
+      REAL(wp), POINTER, DIMENSION(:) ::   z1mi0          ! fraction of the net SW radiation absorbed at the surface
+      REAL(wp), POINTER, DIMENSION(:) ::   zqmax          ! maximum energy stored in brine pockets
+      REAL(wp), POINTER, DIMENSION(:) ::   zrcpdt         ! h_su*rho_su*cp_su/dt(h_su being the thick. of surf. layer)
+      REAL(wp), POINTER, DIMENSION(:) ::   zts_old        ! previous surface temperature
+      REAL(wp), POINTER, DIMENSION(:) ::   zidsn , z1midsn , zidsnic ! tempory variables
+      REAL(wp), POINTER, DIMENSION(:) ::   zfnet          ! net heat flux at the top surface( incl. conductive heat flux)
+      REAL(wp), POINTER, DIMENSION(:) ::   zsprecip       ! snow accumulation
+      REAL(wp), POINTER, DIMENSION(:) ::   zhsnw_old      ! previous snow thickness
+      REAL(wp), POINTER, DIMENSION(:) ::   zdhictop       ! change in ice thickness due to top surf ablation/accretion
+      REAL(wp), POINTER, DIMENSION(:) ::   zdhicbot       ! change in ice thickness due to bottom surf abl/acc
+      REAL(wp), POINTER, DIMENSION(:) ::   zqsup          ! energy transmitted to ocean (coming from top surf abl/acc)
+      REAL(wp), POINTER, DIMENSION(:) ::   zqocea         ! energy transmitted to ocean (coming from bottom sur abl/acc)
+      REAL(wp), POINTER, DIMENSION(:) ::   zfrl_old       ! previous sea/ice fraction
+      REAL(wp), POINTER, DIMENSION(:) ::   zfrld_1d       ! new sea/ice fraction
+      REAL(wp), POINTER, DIMENSION(:) ::   zep            ! internal temperature of the 2nd layer of the snow/ice system
+      REAL(wp), DIMENSION(3) :: & 
           zplediag  &    ! principle diagonal, subdiag. and supdiag. of the 
           , zsubdiag  &    ! tri-diagonal matrix coming from the computation